# Class ShapeMode.WeightStamper

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.ShapeMode.WeightStamper

All Implemented Interfaces:
  `Stamper`

Enclosing class:
  `ShapeMode`

public static class ShapeMode.WeightStamper extends Object implements Stamper
Stamper implementation for use with WeightedShadingMode.

Since:
  19 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WeightStamper(Shader shader, Scaling scaling, Subrange dataclip, Combiner combiner)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Icon`
`createLegendIcon(Outliner outliner)`
Returns an icon for use in a legend given an outline shape.
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeightStamper

public WeightStamper(Shader shader, Scaling scaling, Subrange dataclip, Combiner combiner)
Constructor.

Parameters:
  `shader` - colour shader
  `scaling` - count scaling strategy
  `dataclip` - count scaling range adjustment
  `combiner` - combiner

## Method Details

### createLegendIcon

public Icon createLegendIcon(Outliner outliner)
Description copied from interface: `Stamper`
Returns an icon for use in a legend given an outline shape.

Specified by:
  `createLegendIcon` in interface `Stamper`
Parameters:
  `outliner` - outline shape
Returns:
  icon

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`